Inflector.NetStandard 1.2.2

.NET Standard 1.3 .NET Framework 4.5.1
Install-Package Inflector.NetStandard -Version 1.2.2
dotnet add package Inflector.NetStandard --version 1.2.2
<PackageReference Include="Inflector.NetStandard" Version="1.2.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Inflector.NetStandard --version 1.2.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Inflector.NetStandard, 1.2.2"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Inflector.NetStandard as a Cake Addin
#addin nuget:?package=Inflector.NetStandard&version=1.2.2

// Install Inflector.NetStandard as a Cake Tool
#tool nuget:?package=Inflector.NetStandard&version=1.2.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Inflector is a simple lightweight .NET netstandard class library enabling you to pluralize, singularize, titleize (...) words in a specific culture.

More info available at:
https://github.com/andrewaggb/Inflector-NetStandard

This library is based on https://github.com/abelepereira/Inflector-Portable but recompiled to target .net standard

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp1.0 netcoreapp1.1 netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard1.3 netstandard1.4 netstandard1.5 netstandard1.6 netstandard2.0 netstandard2.1
.NET Framework net451 net452 net46 net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen30 tizen40 tizen60
Universal Windows Platform uap uap10.0
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • .NETFramework 4.5.1

    • No dependencies.
  • .NETFramework 4.6.1

    • No dependencies.
  • .NETStandard 1.3

  • .NETStandard 2.0

    • No dependencies.

NuGet packages (9)

Showing the top 5 NuGet packages that depend on Inflector.NetStandard:

Package Downloads
Medella.CodeGenerator

Package Description

Coscine.Database

Database is a part of the Coscine group.

YuzuDelivery.Umbraco.Core

Yuzu Delivery For Umbraco- setup and basic blocks

MongoDbContext

MongoDbContext enables .NET developers to work with a MongoDb database using .NET objects.

PocoDDL.Core

Library for generating POCO classes from a SQL database or applying changes to a SQL database based on POCO classes and attributes.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.2.2 838,608 11/25/2017
1.2.0 57,037 8/18/2017

Add targets for NetStandard 2.0 and .net 4.5.1 and 4.6.1